Update a segment
curl --request PATCH \
--url https://api.example.com/v1/segments/{segmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"stageIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assigneeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"includeUnassigned": true,
"channelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"lastUpdatedAfter": "2023-11-07T05:31:56Z",
"lastUpdatedBefore": "2023-11-07T05:31:56Z",
"lastInteractionAfter": "2023-11-07T05:31:56Z",
"lastInteractionBefore": "2023-11-07T05:31:56Z",
"phoneFilters": [
{
"countryCode": "<string>",
"prefix": "<string>"
}
],
"adIds": [
"<string>"
],
"campaignIds": [
"<string>"
],
"adSetIds": [
"<string>"
],
"adUrls": [
"<string>"
],
"hasConversations": true,
"sourceMethods": [],
"broadcastIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"isBlocked": true,
"countries": [
"<string>"
],
"customFieldFilters": [
{
"fieldKey": "<string>",
"values": [
"<string>"
]
}
]
},
"name": "<string>"
}
'import requests
url = "https://api.example.com/v1/segments/{segmentId}"
payload = {
"filters": {
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"stageIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"assigneeIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"includeUnassigned": True,
"channelIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"lastUpdatedAfter": "2023-11-07T05:31:56Z",
"lastUpdatedBefore": "2023-11-07T05:31:56Z",
"lastInteractionAfter": "2023-11-07T05:31:56Z",
"lastInteractionBefore": "2023-11-07T05:31:56Z",
"phoneFilters": [
{
"countryCode": "<string>",
"prefix": "<string>"
}
],
"adIds": ["<string>"],
"campaignIds": ["<string>"],
"adSetIds": ["<string>"],
"adUrls": ["<string>"],
"hasConversations": True,
"sourceMethods": [],
"broadcastIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"isBlocked": True,
"countries": ["<string>"],
"customFieldFilters": [
{
"fieldKey": "<string>",
"values": ["<string>"]
}
]
},
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
stageIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
assigneeIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
includeUnassigned: true,
channelIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
createdAfter: '2023-11-07T05:31:56Z',
createdBefore: '2023-11-07T05:31:56Z',
lastUpdatedAfter: '2023-11-07T05:31:56Z',
lastUpdatedBefore: '2023-11-07T05:31:56Z',
lastInteractionAfter: '2023-11-07T05:31:56Z',
lastInteractionBefore: '2023-11-07T05:31:56Z',
phoneFilters: [{countryCode: '<string>', prefix: '<string>'}],
adIds: ['<string>'],
campaignIds: ['<string>'],
adSetIds: ['<string>'],
adUrls: ['<string>'],
hasConversations: true,
sourceMethods: [],
broadcastIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
isBlocked: true,
countries: ['<string>'],
customFieldFilters: [{fieldKey: '<string>', values: ['<string>']}]
},
name: '<string>'
})
};
fetch('https://api.example.com/v1/segments/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"filters": {
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"stageIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assigneeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"includeUnassigned": true,
"channelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"lastUpdatedAfter": "2023-11-07T05:31:56Z",
"lastUpdatedBefore": "2023-11-07T05:31:56Z",
"lastInteractionAfter": "2023-11-07T05:31:56Z",
"lastInteractionBefore": "2023-11-07T05:31:56Z",
"phoneFilters": [
{
"countryCode": "<string>",
"prefix": "<string>"
}
],
"adIds": [
"<string>"
],
"campaignIds": [
"<string>"
],
"adSetIds": [
"<string>"
],
"adUrls": [
"<string>"
],
"hasConversations": true,
"sourceMethods": [
"WHATSAT"
],
"status": "active",
"broadcastIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"isBlocked": true,
"countries": [
"<string>"
],
"customFieldFilters": [
{
"fieldKey": "<string>",
"values": [
"<string>"
]
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Segments
Update a segment
PATCH
/
v1
/
segments
/
{segmentId}
Update a segment
Authorizations
Your API key, e.g. flv_9f2a8c1e…
Path Parameters
The segment id.
Body
application/json

